import 'package:flutter/material.dart';
import 'package:auto_route/auto_route.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:router/ext/auto_router_extensions.dart';

import '../../../router/page/rewards_page_router.dart';
import '../../rewards/vm/rewards_view_model.dart';

@RoutePage()
class RewardsPage extends HookConsumerWidget {
  const RewardsPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance({BuildContext? context}) {
    if (context != null) {
      context.router.push(const RewardsPageRoute());
    } else {
      appRouter.push(const RewardsPageRoute());
    }
  }

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    final _viewModel = ref.read(rewardsViewModelProvider.notifier);

    return Scaffold(
      appBar: AppBar(title: Text("奖励")),
      body: Center(
        child: Text("奖励的主页面"),
      ),
    );
  }
}
